Bug 1394714 (CVE-2016-9294) - CVE-2016-9294 mujs: DoS by using the malformed labeled break/continue in JavaScript
Summary: CVE-2016-9294 mujs: DoS by using the malformed labeled break/continue in Java...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9294
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1390268
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 09:55 UTC by Andrej Nemec
Modified: 2019-09-29 13:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 09:43:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-14 09:55:12 UTC
MuJS before 5008105780c0b0182ea6eda83ad5598f225be3ee allows context-dependent
attackers to conduct "denial of service (application crash)" attacks by
using the "malformed labeled break/continue in JavaScript" approach,
related to a "NULL pointer dereference" issue affecting the jscompile.c
component.

Upstream bug:

http://bugs.ghostscript.com/show_bug.cgi?id=697172

Upstream patch:

http://git.ghostscript.com/?p=mujs.git;a=commit;h=5008105780c0b0182ea6eda83ad5598f225be3ee

Comment 1 Andrej Nemec 2016-11-14 09:55:52 UTC
Created mujs tracking bugs for this issue:

Affects: fedora-all [bug 1390268]


Note You need to log in before you can comment on or make changes to this bug.